---
updatedAt: 2025-11-10T23:06:18.000Z
agentTools:
  projectIndex: https://docs.cavatica.org/llms.txt
---

# Get details of a bulk FHIR import job

This API call lets you get details of a bulk file import job done using NCPI FHIR Document Reference bulk import.

```text Path
https://cavatica-api.sbgenomics.com/v2/bulk/fhir/{import_id}
```

## Request

### Example request

```http
GET v2/bulk/fhir/12ed92ac-5265-4cf2-8885-46ae1b36c2c2 HTTP/1.1
Host: cavatica-api.sbgenomics.com
Authorization: Bearer <token>
Content-Type: application/json
X-SBG-Advance-Acces: Advance
```
```curl cURL
curl -X GET -H "X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74" 'https://cavatica-api.sbgenomics.com/v2/bulk/drs/imports/154608246075330560 HTTP/1.1'
```

### Header Fields

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Key
      </th>

      <th>
        Description of value
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `Authorization`
        *required*
      </td>

      <td>
        Standard OAuth 2.0 access token obtained through OAuth 2.0 handshake.
      </td>
    </tr>

    <tr>
      <td>
        `X-SBG-Advance-Access`\
        *required*
      </td>

      <td>
        A special header for advanced access permissions
      </td>
    </tr>
  </tbody>
</Table>

### Path parameters

| Key         | Data type | Description                                                                                                          |
| :---------- | :-------- | :------------------------------------------------------------------------------------------------------------------- |
| `import_id` | String    | ID of the job for which you want to get import information. ID is returned when [creating a bulk FHIR import job](). |

## Response

[See a list of response codes that may be contained in the body of the response](https://docs.cavatica.org/docs/api-status-codes).

### Response body

The response object contains the link for downloading the file.

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Key
      </th>

      <th>
        Data type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `href`
      </td>

      <td>
        String
      </td>

      <td>
        URI of this import job, for example `https://cavatica-api.sbgenomics.com/v2/bulk/fhir/12ed92ac-5265-4cf2-8885-46ae1b36c2c2`.
      </td>
    </tr>

    <tr>
      <td>
        `id`
      </td>

      <td>
        String
      </td>

      <td>
        ID of the import job.
      </td>
    </tr>

    <tr>
      <td>
        `result`
      </td>

      <td>
        Array
      </td>

      <td>
        Files and errors for each of the items in the bulk import job.
      </td>
    </tr>

    <tr>
      <td>
        `started_on`
      </td>

      <td>
        String
      </td>

      <td>
        Date and time when the import job started.
      </td>
    </tr>

    <tr>
      <td>
        `finished_on`
      </td>

      <td>
        String
      </td>

      <td>
        Date and time when the import job ended.
      </td>
    </tr>

    <tr>
      <td>
        `state`
      </td>

      <td>
        String
      </td>

      <td>
        Current state of the import job. Available values:  

        * `SUBMITTED`  
        * `RUNNING`  
        * `FINISHED`
      </td>
    </tr>
  </tbody>
</Table>

### Example response body

```json Example response body
{
    "href": "https://cavatica-api.sbgenomics.com/v2/bulk/fhir/12ed92ac-5265-4cf2-8885-46ae1b36c2c2",
    "id": "12ed92ac-5265-4cf2-8885-46ae1b36c2c2",
    "result": [
        {
            "resource": {
                "href": "https://cavatica-api.sbgenomics.com/v2/files/6130ac6485ecd250bb0c4fed",
                "id": "6130ac6485ecd250bb0c4fed",
                "fhir_document_reference": "https://hapi.fhir.org/baseR4/DocumentReference/44765605"
            }
        }
    ],
    "state": "FINISHED",
    "started_on": "2021-09-14T14:06:27Z",
    "finished_on": "2021-09-14T14:06:28Z"
}
```